Bug 8547 - pam_pwdb is REALLY slow for authenticating users
Summary: pam_pwdb is REALLY slow for authenticating users
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pwdb   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-01-17 19:31 UTC by aland
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-02-04 02:17:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description aland 2000-01-17 19:31:54 UTC
RH 6.1 ships with pam_pwdb configured in /etc/pam.d/login etc.  Yet for
systems with many users (100's to 1000's), pam_pwdb takes *seconds* to
check a password against /etc/passwd.

If the pam_pwdb lines in /etc/pam.d/login are replaced with the appropriate
pam_unix_{auth, acct, session}, then little or no delay is seen on log in.

Comment 1 Cristian Gafton 2000-02-04 02:17:59 UTC
I agree this is a problem ; however, a correct solution involves extensive
rewrites - we will be switching away from pwdb in the future.


Note You need to log in before you can comment on or make changes to this bug.